Page MenuHomePhabricator

Evaluate designs for translation campaigns support and tracking
Closed, ResolvedPublic

Description

Content Translation can be useful for participants and organisers of translation campaigns.
In the past we validated the idea of using the translation dashboard to surface suggestions and allow users to keep and discard some of those as well as creating their own lists. Now, we want to focus managing those campaigns for participants and organisers.

Research study page on MetaWiki

Goals

The basic goal for the current set of design ideas is to support users to participate in many campaigns and track their progress. More specific goals and research questions:

  • Campaign exploration at scale. Users can participate in many different campaigns over time. The current designs try to provide a balance between allowing users to explore the campaigns they joined and discovering new ones through the suggestions list. Some of the questions we want to figure out:
    • Is it clear for users the distinction between the personal lists area (e.g., the campaigns they joined) and the suggestions area?
    • Is it clear that joining suggested campaigns, adds them to the personal area?
    • Can users explore the different campaigns they joined and their items to translate?
    • Can users find active campaigns and participate in them?
    • Can users control which kind of articles and campaigns they get?
  • Campaign tracking. Campaign organisers need to track the evolution of their campaign, know whether they are getting the expected results, and coordinate with the people involved. Some of the questions we want to figure out:
    • Can organisers easily access the tracking view for campaigns?
    • Which are the key pieces of information they need to have a clear picture of the status of the campaign?
    • Are the proposed pieces of information perceived as useful in the way they are presented?

This prototype illustrates the different ideas that we want to test.

Audience

We want to focus on users with experience actively participating and organising translation campaigns.

Plan draft

(Pending review)

Pre-test questions

  • Which has been your experience organising, participating or following the progress of translation campaigns?
  • Can you describe the different steps and which information or coordination you needed in each of those?

Current status of suggestions and favourite lists
In order to start gradually, as a user would do, we want to start with the simple scenario of having no personal lists and just suggestions. This will be also useful to validate the current implementation of suggestions and get feedback about their quality.

  • Do you often use Content Translation?
  • How do you find articles to translate?
  • Can you access content Translation and show us how can you find ideas about what to translate?
  • Is there any interesting suggestions you would translate? How would you start translating one of those suggestions?
  • Let's imagine you don't have time right now to do a translation but you found a good article. How would you keep it for later?

Joining campaigns at scale

  • Please, access this prototype.
  • Can you tell what do you see here?
  • Is there anything interesting to translate?
  • Can you add some interesting suggestions for later as you did before?
  • There are some suggestions about scientists. Can you tell how many suggestions you see about this topic and what is special about them? Why are they grouped?
  • How would you get different suggestions? (the user is expected to refresh the suggestions)
  • Let's imagine you are interested on nature-related articles. Would you be able to keep all those articles about nature for later? Can you describe what happened?
  • Let's imagine you've heard about an interesting translation campaign called "Wiki Loves Space". Would you able to find it and join it? (the prototype shows a list of existing campaigns but accessing them is not supported. So adding them will require to ask the user to refresh suggestions and add manually).

Tracking campaigns

  • You joined the "Wiki loves Nature" campaign before can you tell me which articles it has?
  • In case you are interested in tracking the progress of the campaign, what would you do? (the user is expected to discover the stats icon)
  • Which information do you see here and which is the purpose you think each piece has?
  • Based on your experience following or organising campaigns, which is the key information?
  • Do you see anything missing or something that is not very useful the way is provided?

Post test questions

  • Is there anything that worked particularly well based on your experience participating or organising translation campaigns?
  • Anything that was confused or was missing?

Event Timeline

Pginer-WMF raised the priority of this task from to Needs Triage.
Pginer-WMF updated the task description. (Show Details)
Pginer-WMF added subscribers: Esh77, AndyRussG, Wittylama and 16 others.
Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptNov 19 2015, 4:18 PM
Amire80 triaged this task as Normal priority.Nov 21 2015, 10:33 AM
Amire80 set Security to None.
Amire80 moved this task from Needs Triage to CX7 on the ContentTranslation board.
Capt_Swing moved this task from Backlog to In Progress on the Design-Research board.
Capt_Swing removed a subscriber: Capt_Swing.

Pau and I are co-facilitating the user study sessions; only added myself as owner since I didn't want to see the task orphaned.

Capt_Swing updated the task description. (Show Details)Dec 10 2015, 10:08 PM
Nemo_bis removed a subscriber: Nemo_bis.Jan 18 2016, 2:29 PM

Update: study sessions are concluded. Report will be posted on the research study page within the next two weeks.

Capt_Swing closed this task as Resolved.Mar 10 2016, 12:25 AM